[HD 3650] cannot start gnome X in intrepid (gray screen with horizontal thin flashing black lines)

Bug #272406 reported by Victor Van Hee on 2008-09-20
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Won't Fix
High
linux (Ubuntu)
High
Unassigned

Bug Description

When I load up the latest live 64 bit ubuntu intrepid CD, I can't get
into the GUI. When Gnome tries to come up, I get odd
rainbow-like patterns around the edges of the screen fading into
the center (this might be intentional, but I've never seen it in
Hardy). Then a blank gray screen appears with intermittently
flashing horizontal thin black lines.

Hitting Shift-Alt-F1 takes me here to file this bug. I have an ASUS
F8 Sp (F8Sp) notebook with ATI Radeon HD 3650 graphics card.

Gnome works just fine on this laptop with the proprietary (fglrx)
driver in Hardy, but not this new, more Intrepid version.

Let me know if I can provide any other details.

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/Xorg
Package: xserver-xorg-core 2:1.5.0-1ubuntu1
ProcAttrCurrent: unconfined
ProcEnviron:
 PATH=/sbin:/bin:/usr/sbin:/usr/bin
 LANG=en_US.UTF-8
ProcVersion: Linux version 2.6.27-3-generic (buildd@crested) (gcc version 4.3.2 (Ubuntu 4.3.2-1hostname6) ) #1 SMP Wed Sep 10 16:18:52 UTC 2008

SourcePackage: xorg-server
Uname: Linux 2.6.27-3-generic x86_64
Xrandr:

setxkbmap:

xdpyinfo:

xkbcomp:
[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
     Subsystem: ASUSTeK Computer Inc. Device [1043:1517]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobilitiy Radeon HD 3650 [1002:9591]
     Subsystem: ASUSTeK Computer Inc. Device [1043:1633]

This report is totally inconclusive, it doesn't contain a log file so we cannot even check which version of the driver you are using.
So there is nothing we can do here.

Created an attachment (id=17963)
Radeon Xorg.0.log

Sorry may bad !!!
I made another mistake I confused radeon driver with radeonHD.
Sorry about that too.

Created an attachment (id=17964)
radeon xorg.conf

Created an attachment (id=17965)
Xorg console output

(In reply to comment #0)
> Hi,
>
> I try to use this card with debian sid/experimental but I get only o gray
> screen with some horizontal lines on the left side.

the log says ubuntu intrepid, not debian sid/experimental.

Yes I made this logs with a ubuntu livecd, if you want i'll make with debian too (but the problems and the Xorg console output are the same).

Created an attachment (id=17968)
Debian sid/experimental Xorg.0.log

Created an attachment (id=17969)
Debian sid/experimental xorg.conf

Created an attachment (id=17970)
Debian sid/experimental xorg-console.out

How much ram does this box have?

4 gb ram and 1gb video

Does it help if you remove one stick of ram?

I can't remove my sistem is a laptop !
I don't know how !

does you bios have any options for remapping memory? Also are you on 32-bit or 64-bit?

(From update of attachment 17968)
please attach files as text/plain

The radeonhd driver in Debian experimental does not contain the code to fix the problem of bug #16263. You'll have to compile the git source (unfortunately, at the moment it does not compile but I can send you an amd64 package if you need).
I don"t know if the modifications are necessary for the M70Sa but the problem described seem like mine before the bug #16263 was corrected.

Nevertheless, the fact that the M70Sa does work with the catalyst driver and with 4Go of RAM makes me think that it does no suffer the same problem as the M51Se (described in the bug #16263).

(In reply to comment #15)
> I can't remove my sistem is a laptop !
> I don't know how !

You can limit the amount of RAM used by the Linux kernel using the mem= kernel command line option, e.g.

mem=2048M

to limit it to 2 GB.

(In reply to comment #19)
> (In reply to comment #15)
> > I can't remove my sistem is a laptop !
> > I don't know how !
>
> You can limit the amount of RAM used by the Linux kernel using the mem= kernel
> command line option, e.g.
>
> mem=2048M
>
> to limit it to 2 GB.
>

Thanks, my mem was limited to 2 gb but the driver didn't work (the same effect).
I'll attach you a new Xorg.log

If you need a rom dump please take it from https://bugs.freedesktop.org/show_bug.cgi?id=16892 . The same problem but with a different driver.

Created an attachment (id=17996)
Xorg.0.log with 2gb mem

(In reply to comment #18)
> The radeonhd driver in Debian experimental does not contain the code to fix the
> problem of bug #16263. You'll have to compile the git source (unfortunately, at
> the moment it does not compile but I can send you an amd64 package if you
> need).

PLEASE !!!

> I don"t know if the modifications are necessary for the M70Sa but the problem
> described seem like mine before the bug #16263 was corrected.
>
> Nevertheless, the fact that the M70Sa does work with the catalyst driver and
> with 4Go of RAM makes me think that it does no suffer the same problem as the
> M51Se (described in the bug #16263).
>

The fglrx driver is horrible on kde4. I only need a good 2d for kde4.

I don't know if this will help you but my display is full HD ( 1920x1200 ).

I compile radeon driver from git and has the same effect.
I even try with 1024x176 resolution.
I

Created an attachment (id=17998)
Xorg.0.log (1024x768 screen res) radeon driver compiled from git

(In reply to comment #16)
> does you bios have any options for remapping memory?

No.

> Also are you on 32-bit or
> 64-bit?
>

64

(In reply to comment #17)
> (From update of attachment 17968 [details])
> please attach files as text/plain
>

Sorry I didn't see you post (and this option) until now.
I'll try to remember this.

Please don't hesitate to ask me for any additional information !

Created an attachment (id=18027)
Xorg.0.log file, on a Asus M50SA

Hello

I have the exact same problem, as descripted in this bugreport.

My spec:
Asus M50SA
Ubuntu 2.6.24-19-generic #1 SMP i686 GNU/Linux
RAM: 4 GB
Radeon HD 3650 mobility 1 GB VRAM
GIT version dated 29/7-08 of libdrm/drm/dri/mesa/radeonhd

When compiled every libdrm/drm/dri/mesa and at last radeonhd, and then reboot, I get a completely gray screen. I can hear everything loads normal, like kde 4 startup sound etc.

I attached my xorg.0.log file.

If you need more information, please write me.

Created an attachment (id=18028)
Xorg.0.log file, on a Asus M50SA

Forgot to make it text/plain :-)

Hmm seems this is for Radeon driver only. I will make a new bugreport.

(In reply to comment #30)
> Hmm seems this is for Radeon driver only. I will make a new bugreport.
>

I already open a bug for radeonhd :
see: https://bugs.freedesktop.org/show_bug.cgi?id=16892

When I load up the latest live 64 bit ubuntu intrepid CD, I can't get
into the GUI. When Gnome tries to come up, I get odd
rainbow-like patterns around the edges of the screen fading into
the center (this might be intentional, but I've never seen it in
Hardy). Then a blank gray screen appears with intermittently
flashing horizontal thin black lines.

Hitting Shift-Alt-F1 takes me here to file this bug. I have an ASUS
F8 Sp (F8Sp) notebook with ATI Radeon HD 3650 graphics card.

Gnome works just fine on this laptop with the proprietary (fglrx)
driver in Hardy, but not this new, more Intrepid version.

Let me know if I can provide any other details.

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/Xorg
Package: xserver-xorg-core 2:1.5.0-1ubuntu1
ProcAttrCurrent: unconfined
ProcEnviron:
 PATH=/sbin:/bin:/usr/sbin:/usr/bin
 LANG=en_US.UTF-8
ProcVersion: Linux version 2.6.27-3-generic (buildd@crested) (gcc version 4.3.2 (Ubuntu 4.3.2-1hostname6) ) #1 SMP Wed Sep 10 16:18:52 UTC 2008

SourcePackage: xorg-server
Uname: Linux 2.6.27-3-generic x86_64
Xrandr:

setxkbmap:

xdpyinfo:

xkbcomp:

Victor Van Hee (vvanhee) wrote :
Victor Van Hee (vvanhee) wrote :

This is possibly the same issue as:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/267185

but it doesn't sound identical. Same graphics card, anyway.

Steve Beattie (sbeattie) wrote :

Even if it's not the same bug as bug 267185, it's likely a problem in the radeon driver, changing to package xserver-xorg-video-ati.

Bryce Harrington (bryce) wrote :

If you can reproduce the issue, it would be useful to have a photo of the screen showing the issue.

Changed in xserver-xorg-video-ati:
importance: Undecided → High
status: New → Confirmed
Victor Van Hee (vvanhee) wrote :

Consistently reproduced with latest intrepid updates. The photos don't really capture it, so I took some video... See attached.

Bryce Harrington (bryce) on 2008-10-17
Changed in xserver-xorg-video-ati:
status: Confirmed → Triaged
Bryce Harrington (bryce) wrote :

Hi Victor,

I've forwarded your bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=18163. Would you please subscribe to this bug in case they wish further information or need you to test something? Thanks ahead of time.

Also, I notice this chipset is sort of similar to one we recently put a fix in to correct dithering. Just in case that change may have caused a regression for you, would you mind testing the following "nodither" package, which has that fix disabled? If it solves the issue for you, we may need to disable that patch:

http://bryceharrington.org/ubuntu/AtiDithering/

Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Thanks -- I'll subscribe to the bug, test nodither this evening and let
you know...

Incidentally, fglrx works for me now in Intrepid (you probably already
knew that).

Bryce Harrington wrote:
> Hi Victor,
>
> I've forwarded your bug upstream to
> https://bugs.freedesktop.org/show_bug.cgi?id=18163. Would you please
> subscribe to this bug in case they wish further information or need you
> to test something? Thanks ahead of time.
>
> Also, I notice this chipset is sort of similar to one we recently put a
> fix in to correct dithering. Just in case that change may have caused a
> regression for you, would you mind testing the following "nodither"
> package, which has that fix disabled? If it solves the issue for you,
> we may need to disable that patch:
>
> http://bryceharrington.org/ubuntu/AtiDithering/
>
> ** Bug watch added: freedesktop.org Bugzilla #18163
> https://bugs.freedesktop.org/show_bug.cgi?id=18163
>
> ** Also affects: xserver-xorg-driver-ati via
> https://bugs.freedesktop.org/show_bug.cgi?id=18163
> Importance: Unknown
> Status: Unknown
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFI/zE0msW5f5rhfP4RAtqkAJ9R1xo7WT/r5VEefZVnsl6NeoOlvgCffMbl
kkr7qQHUJtkp++SW1PEUl4s=
=8zUI
-----END PGP SIGNATURE-----

Victor Van Hee (vvanhee) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Tried the nodither package last night with no effect. Oh well -- Thanks.

Victor

Bryce Harrington wrote:
> Hi Victor,
>
> I've forwarded your bug upstream to
> https://bugs.freedesktop.org/show_bug.cgi?id=18163. Would you please
> subscribe to this bug in case they wish further information or need you
> to test something? Thanks ahead of time.
>
> Also, I notice this chipset is sort of similar to one we recently put a
> fix in to correct dithering. Just in case that change may have caused a
> regression for you, would you mind testing the following "nodither"
> package, which has that fix disabled? If it solves the issue for you,
> we may need to disable that patch:
>
> http://bryceharrington.org/ubuntu/AtiDithering/
>
> ** Bug watch added: freedesktop.org Bugzilla #18163
> https://bugs.freedesktop.org/show_bug.cgi?id=18163
>
> ** Also affects: xserver-xorg-driver-ati via
> https://bugs.freedesktop.org/show_bug.cgi?id=18163
> Importance: Unknown
> Status: Unknown
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFJAJdTmsW5f5rhfP4RAtIQAJ9HkaH3U1qXkosYuNwpvr+TKhNVZACg6gA7
HKnQIhT4GZZVYVoToDHJyuc=
=N9tZ
-----END PGP SIGNATURE-----

Thanks for testing it!

On Thu, Oct 23, 2008 at 08:25:07AM -0700, Victor Van Hee wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Tried the nodither package last night with no effect. Oh well -- Thanks.
>
> Victor
>
> Bryce Harrington wrote:
> > Hi Victor,
> >
> > I've forwarded your bug upstream to
> > https://bugs.freedesktop.org/show_bug.cgi?id=18163. Would you please
> > subscribe to this bug in case they wish further information or need you
> > to test something? Thanks ahead of time.
> >
> > Also, I notice this chipset is sort of similar to one we recently put a
> > fix in to correct dithering. Just in case that change may have caused a
> > regression for you, would you mind testing the following "nodither"
> > package, which has that fix disabled? If it solves the issue for you,
> > we may need to disable that patch:
> >
> > http://bryceharrington.org/ubuntu/AtiDithering/
> >
> > ** Bug watch added: freedesktop.org Bugzilla #18163
> > https://bugs.freedesktop.org/show_bug.cgi?id=18163
> >
> > ** Also affects: xserver-xorg-driver-ati via
> > https://bugs.freedesktop.org/show_bug.cgi?id=18163
> > Importance: Unknown
> > Status: Unknown
> >
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (GNU/Linux)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>
> iD8DBQFJAJdTmsW5f5rhfP4RAtIQAJ9HkaH3U1qXkosYuNwpvr+TKhNVZACg6gA7
> HKnQIhT4GZZVYVoToDHJyuc=
> =N9tZ
> -----END PGP SIGNATURE-----

Bryce Harrington (bryce) on 2009-01-17
description: updated

Just a note that I get the same white screen with random flashing horizontal line segments on a Gigabyte Radeon HD 4850 1GB (GV-R485MC-1GH). I didn't see any rainbow patterns, though.

This happens both in Intrepid and the alpha 3 release of Jaunty.

Vesa does work, but can't set the resolution of my display, so text gets very blurry.

Bryce Harrington (bryce) wrote :

I've uploaded 6.12.0 to Jaunty a little while ago (and corresponding kernel fixes were put in last week) which I believe fixes this issue. Can you please test on latest Jaunty and confirm the issue is gone?

I downloaded alpha 6 a few days ago I think and tried to run live cd but I
run into the same problem. I'm using an asus laptop with radeon mobility hd
3650 card.

On Tue, Mar 24, 2009 at 5:50 PM, Bryce Harrington <<email address hidden>
> wrote:

> I've uploaded 6.12.0 to Jaunty a little while ago (and corresponding
> kernel fixes were put in last week) which I believe fixes this issue.
> Can you please test on latest Jaunty and confirm the issue is gone?
>
> --
> [HD 3650] cannot start gnome X in intrepid (gray screen with horizontal
> thin flashing black lines)
> https://bugs.launchpad.net/bugs/272406
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.org XServer - ATI gfx chipset driver: Confirmed
> Status in “xserver-xorg-video-ati” source package in Ubuntu: Triaged
>
> Bug description:
> When I load up the latest live 64 bit ubuntu intrepid CD, I can't get
> into the GUI. When Gnome tries to come up, I get odd
> rainbow-like patterns around the edges of the screen fading into
> the center (this might be intentional, but I've never seen it in
> Hardy). Then a blank gray screen appears with intermittently
> flashing horizontal thin black lines.
>
> Hitting Shift-Alt-F1 takes me here to file this bug. I have an ASUS
> F8 Sp (F8Sp) notebook with ATI Radeon HD 3650 graphics card.
>
> Gnome works just fine on this laptop with the proprietary (fglrx)
> driver in Hardy, but not this new, more Intrepid version.
>
> Let me know if I can provide any other details.
>
> ProblemType: Bug
> Architecture: amd64
> DistroRelease: Ubuntu 8.10
> ExecutablePath: /usr/bin/Xorg
> Package: xserver-xorg-core 2:1.5.0-1ubuntu1
> ProcAttrCurrent: unconfined
> ProcEnviron:
> PATH=/sbin:/bin:/usr/sbin:/usr/bin
> LANG=en_US.UTF-8
> ProcVersion: Linux version 2.6.27-3-generic (buildd@crested) (gcc version
> 4.3.2 (Ubuntu 4.3.2-1hostname6) ) #1 SMP Wed Sep 10 16:18:52 UTC 2008
>
> SourcePackage: xorg-server
> Uname: Linux 2.6.27-3-generic x86_64
> Xrandr:
>
> setxkbmap:
>
> xdpyinfo:
>
> xkbcomp:
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960
> Memory Controller Hub [8086:2a00] (rev 03)
> Subsystem: ASUSTeK Computer Inc. Device [1043:1517]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobilitiy
> Radeon HD 3650 [1002:9591]
> Subsystem: ASUSTeK Computer Inc. Device [1043:1633]
>
>

The fixes went in post-alpha 6 so you wouldn't see it with the plain
livecd, unless you do an update. A recent daily livecd should have it,
or wait for the beta which should be out before too long.

Bryce

On Tue, Mar 24, 2009 at 11:14:25PM -0000, Gavin Lu wrote:
> I downloaded alpha 6 a few days ago I think and tried to run live cd but I
> run into the same problem. I'm using an asus laptop with radeon mobility hd
> 3650 card.
>
> On Tue, Mar 24, 2009 at 5:50 PM, Bryce Harrington <<email address hidden>
> > wrote:
>
> > I've uploaded 6.12.0 to Jaunty a little while ago (and corresponding
> > kernel fixes were put in last week) which I believe fixes this issue.
> > Can you please test on latest Jaunty and confirm the issue is gone?
> >
> > --
> > [HD 3650] cannot start gnome X in intrepid (gray screen with horizontal
> > thin flashing black lines)
> > https://bugs.launchpad.net/bugs/272406
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in X.org XServer - ATI gfx chipset driver: Confirmed
> > Status in ???xserver-xorg-video-ati??? source package in Ubuntu: Triaged
> >
> > Bug description:
> > When I load up the latest live 64 bit ubuntu intrepid CD, I can't get
> > into the GUI. When Gnome tries to come up, I get odd
> > rainbow-like patterns around the edges of the screen fading into
> > the center (this might be intentional, but I've never seen it in
> > Hardy). Then a blank gray screen appears with intermittently
> > flashing horizontal thin black lines.
> >
> > Hitting Shift-Alt-F1 takes me here to file this bug. I have an ASUS
> > F8 Sp (F8Sp) notebook with ATI Radeon HD 3650 graphics card.
> >
> > Gnome works just fine on this laptop with the proprietary (fglrx)
> > driver in Hardy, but not this new, more Intrepid version.
> >
> > Let me know if I can provide any other details.
> >
> > ProblemType: Bug
> > Architecture: amd64
> > DistroRelease: Ubuntu 8.10
> > ExecutablePath: /usr/bin/Xorg
> > Package: xserver-xorg-core 2:1.5.0-1ubuntu1
> > ProcAttrCurrent: unconfined
> > ProcEnviron:
> > PATH=/sbin:/bin:/usr/sbin:/usr/bin
> > LANG=en_US.UTF-8
> > ProcVersion: Linux version 2.6.27-3-generic (buildd@crested) (gcc version
> > 4.3.2 (Ubuntu 4.3.2-1hostname6) ) #1 SMP Wed Sep 10 16:18:52 UTC 2008
> >
> > SourcePackage: xorg-server
> > Uname: Linux 2.6.27-3-generic x86_64
> > Xrandr:
> >
> > setxkbmap:
> >
> > xdpyinfo:
> >
> > xkbcomp:
> > [lspci]
> > 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960
> > Memory Controller Hub [8086:2a00] (rev 03)
> > Subsystem: ASUSTeK Computer Inc. Device [1043:1517]
> > 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobilitiy
> > Radeon HD 3650 [1002:9591]
> > Subsystem: ASUSTeK Computer Inc. Device [1043:1633]
> >
> >
>
> --
> [HD 3650] cannot start gnome X in intrepid (gray screen with horizontal thin flashing black lines)
> https://bugs.launchpad.net/bugs/272406
> You received this bug notification because you are a member of
> canonical-xorg, which is the registrant for xserver-xorg-driver-ati.

I'm running a Jaunty on that machine, and I don't see that issue. I've been
playing with the configuration, and ran the radeonhd driver for a while, so
that doesn't really say anything about how a newly installed system will
work though.

I can confirm that the radeon Xorg driver works. It complains that the
kernel doesn't support DRI on my card though, so I don't get accelerated
video etc.

Bryce Harrington (bryce) on 2009-05-14
summary: - [HD 3650] cannot start gnome X in intrepid (gray screen with horizontal
+ [HD3650] cannot start gnome X in intrepid (gray screen with horizontal
thin flashing black lines)

They discuss about the problems with Bugs around the HD 3650. The problem: The machine hangs / freezes with 4 GB of memory. The workaround for these bugs are the removing of 2 GB of RAM. It seems, that the memory-allocation estimation of xorg has a bug, so the card can't allocate no memory.

Please see the following links to forums for further details.
http://forum.ubuntuusers.de/topic/treiber-fuer-ati-mobility-radeon-hd-3650-inst/
http://ubuntuforums.org/showthread.php?t=1139823&highlight=3650
and many others
Logs are attached to posts.

Thank you

(In reply to comment #32)
> They discuss about the problems with Bugs around the HD 3650. The problem: The
> machine hangs / freezes with 4 GB of memory. The workaround for these bugs are
> the removing of 2 GB of RAM. It seems, that the memory-allocation estimation of
> xorg has a bug, so the card can't allocate no memory.

This is an issue with the mtrr setup in the bios that needs to be fixed by the kernel:
http://lists.opensuse.org/radeonhd/2009-05/msg00070.html

I have the same(?) problem on Jaunty with a ATI Mobility Radeon M6 LY. Using the latest package from tormodvolden's PPA, after login I get horizontal gray and black stripes and on the black stripes in some areas every second pixel shows the desktop. I'll try to make a photo...

The interesting thing is: The login screen is fine. The gray bars appear after login. Also, when killing the X-Server using Ctrl-Alt-BckSpc, just for a split of a second, the gray bars disappear and I can see my background picture clearly for another split-second.

This only seems to happen with XAA acceleration. Using EXA, everything looks fine (but is awful slow on my card).

Cheers,
  -mARKUS

Markus Birth (mbirth) wrote :

Here's the "screenshot". This bug happens for some tormodvolden-builds now. About a month ago these builds worked fine.

The bluish thing around the edges is "Gnome Do", which originally appears at the center of the screen. The mouse cursor is rendered fine, by the way.

*** Bug 18163 has been marked as a duplicate of this bug. ***

Changed in xserver-xorg-driver-ati:
status: Confirmed → Invalid
Bryce Harrington (bryce) on 2009-06-26
summary: - [HD3650] cannot start gnome X in intrepid (gray screen with horizontal
- thin flashing black lines)
+ [HD 3650] [HD3650] cannot start gnome X in intrepid (gray screen with
+ horizontal thin flashing black lines)
Bryce Harrington (bryce) on 2009-06-26
summary: - [HD 3650] [HD3650] cannot start gnome X in intrepid (gray screen with
- horizontal thin flashing black lines)
+ [HD 3650] cannot start gnome X in intrepid (gray screen with horizontal
+ thin flashing black lines)
Markus Birth (mbirth) wrote :

I now found out that the gray stripes have to do with the "compositing_manager" option under /apps/metacity/general . When enabled, I see the gray stripes. When disabled, I see my desktop but see garbage in some apps e.g. the VLC window (might be all Qt interfaces which fail).

Bryce Harrington (bryce) on 2009-07-30
Changed in xserver-xorg-driver-ati:
status: Invalid → Unknown
Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed
Bryce Harrington (bryce) on 2009-08-13
tags: added: intrepid

kernel mtrr issue.

Changed in xserver-xorg-driver-ati:
status: Confirmed → Invalid
Bryce Harrington (bryce) wrote :

According to the upstreamed bug report, this is actually an issue in the kernel, so refiling to the kernel team.

tags: added: xorg-needs-kernel-fix
affects: xserver-xorg-video-ati (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Triaged → New
Changed in linux (Ubuntu):
status: New → Triaged

Hi Victor,

Since you are the original bug reporter, can we get confirmation from you that this issue still remains with the most recent Karmic 9.10 release. It contains a much newer 2.6.31 based kernel. Please let us know your results. Thanks!

http://cdimage.ubuntu.com/releases/karmic/

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Victor Van Hee (vvanhee) wrote :

Tried it -- Ubuntu Karmic finally works out of the box on the HD 3650 radeon! I haven't been able to use the Live CD since Hardy, so this is great. No graphical issues at all when I load up. Thanks.

tags: added: iso-testing

Marking this Fixed for Karmic per Victor's feedback. Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
status: Invalid → Won't Fix
Changed in xserver-xorg-driver-ati:
importance: High → Unknown
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.